Summary:        OSGi Bundle Utility
Name:           osgi-bundle-utility
Version:        1.0.0
Release:        1%{?dist}
Epoch:          0
License:        ASL 2.0
URL:            http://www.jeremias-maerki.ch/
Group:          Development/Libraries
Source0:        http://www.jeremias-maerki.ch/download/osgi/ch.jm.osgi.util.bundle-1.0.0-src.zip
Patch0:         %{name}-build-fixes.patch
Requires:       jpackage-utils >= 0:1.6
Requires:       java >= 0:1.4.2
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
BuildRequires:  junit
BuildRequires:  bcel5.3
BuildRequires:  apache-commons-io
BuildRequires:  org.osgi.core
Requires:       jpackage-utils
Requires:       junit
Requires:       java
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils

BuildArch:      noarch

%description
The OSGi Bundle Utility is a package that helps you produce OSGi bundles
using Apache Ant. It is designed to serve as an alternative to Peter
Kriens' Bnd.

%prep
%setup -q -c 
# remove all binary libs
rm -rf lib 

%patch0 -p1

%build
ant jar

%install

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/ch.jm.osgi.util.bundle-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

%check
# ant test

%post

%postun

%files
%{_javadir}/%{name}*.jar

%changelog
* Fri Aug 21 2011 Andy Grimm <agrimm@gmail.com> - 0:2.0.16-1
- Initial build

